learning resource endpoint
URL: /users/<id>/badges/@learning.<format>
Supported Methods
| GET | Get a list of learning badges that the selected user has won. |
Query String Arguments
- start-index
- Index of the first item to return. The first item in the list has index 1.
- max-results
- Maximum number of items to return in the list response.
Resource Type
This endpoint returns an object of type List<UserBadge>.
- entries (array<UserBadge>)
- The items within the selected range.
- totalResults (integer)
- The total number of items in the whole list of which this object is a chunk.
Client Library Methods for PHP
- Get a list of learning badges that the selected user has won.
$tp->users->getLearningBadges(array( # Required Parameters "id" => $id, # Optional Parameters "limit" => $limit, "offset" => $offset, ))
Example Request
GET /users/6p012877b13de7970c/badges/@learning.json?max-results=4 HTTP/1.1
Host: api.typepad.com
HTTP/1.0 200 OK
Content-type: application/json
Content-length: 45
{
"entries": [],
"totalResults": 0
}